<div  v-if="steps['engine']['show']" class="report-form__body">
	<header-comment name="Двигатель и трансмиссия" label="engine"></header-comment>
	<div class="report-group">
		<div class="report-group__body">
			<boolean-field 
			v-for="(field, name, i) in engine"
			:key="i"
			:name="name" 
			:value="fieldss[name]"  
			:com="fieldss[field.com]" 
			:com_name="field.com" 
			:label="field.name" 
			:data_id="'3'+i"
			:required="true" 
			:group-index="steps['engine']['groupIndex']" 
			:field-index="0"
			v-on:event_change_field="setField" 
			></boolean-field>
		</div>
	</div>
	<comment-step  
		v-on:event_change_field="setField"  
		label="dvig_diag_comment" 
		:value="fieldss.dvig_diag_comment" 
		name="Двигатель и трансмиссия"
		v-on:event_change_field="setField">
	</comment-step> 
	<submit-step v-on:event_validate_before_submit="validateBeforeSubmit"
	label="engine" name="Далее"></submit-step> 
</div>